"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StatusBadge = StatusBadge;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _style = require("../../style");
var _templateObject;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var colorMap = {
  green: {
    color: _style.cv.green1,
    backgroundColor: _style.cv.bg_green1
  },
  red: {
    color: _style.cv.red1,
    backgroundColor: _style.cv.bg_red1
  },
  yellow: {
    color: _style.cv.yellow1,
    backgroundColor: _style.cv.bg_yellow1
  },
  blue: {
    color: _style.cv.blue1,
    backgroundColor: _style.cv.bg_blue1
  },
  gray: {
    color: _style.cv.text3,
    backgroundColor: _style.cv.bg_element4
  }
};
var Badge = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    position: relative;\n\n    ", "\n    color: ", ";\n    padding: ", ";\n    border-radius: 12px;\n    height: 16px;\n    font-size: ", ";\n    display: flex;\n    align-items: center;\n    width: fit-content;\n\n    &::before {\n        content: '';\n        width: ", ";\n        height: ", ";\n        background-color: ", ";\n        border-radius: 8px;\n        margin-right: 6px;\n    }\n"])), function (props) {
  return props.size === 'small' && "background-color: ".concat(colorMap[props.color].backgroundColor, ";");
}, function (props) {
  return props.size === 'small' ? colorMap[props.color].color : _style.cv.text1;
}, function (props) {
  return props.size === 'normal' ? '4px 8px' : '0px 8px';
}, function (props) {
  return props.size === 'normal' ? '14px' : '12px';
}, function (props) {
  return props.size === 'normal' ? '12px' : '8px';
}, function (props) {
  return props.size === 'normal' ? '12px' : '8px';
}, function (props) {
  return colorMap[props.color].color;
});
/**
 * 상태를 나타내기 위한 뱃지입니다.
 */
function StatusBadge(_ref) {
  var color = _ref.color,
    text = _ref.text,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'normal' : _ref$size;
  return /*#__PURE__*/_react.default.createElement(Badge, {
    color: color,
    size: size
  }, text);
}