"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StatusItem = StatusItem;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _style = require("../../../style");
var _badge = require("../../badge");
var _templateObject, _templateObject2;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var StateDiv = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    width: 120px;\n    display: flex;\n    flex-direction: column;\n    gap: 2px;\n    flex: ", ";\n    width: 100%;\n\n    @media (max-width: 767px) {\n        margin-top: 4px;\n        width: 100%;\n        flex-direction: row;\n        gap: 4px;\n    }\n"])), function (props) {
  return props.flex || 1;
});
var TypeDiv = _styledComponents.default.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    color: ", ";\n    font-size: 14px;\n    margin-left: 8px;\n    flex: ", ";\n    width: 100%;\n"])), _style.cv.text2, function (props) {
  return props.flex || 1;
});
var colorMap = function colorMap(text) {
  var map = {
    stateless: 'gray',
    error: 'red',
    warning: 'yellow',
    done: 'blue',
    good: 'green'
  };
  return map[text] || 'gray';
};
function capitalize(str) {
  return str.charAt(0).toUpperCase() + str.slice(1);
}
function StatusItem(_ref) {
  var flex = _ref.flex,
    status = _ref.status,
    label = _ref.label,
    text = _ref.text;
  return /*#__PURE__*/_react.default.createElement(StateDiv, {
    flex: flex
  }, /*#__PURE__*/_react.default.createElement(_badge.StatusBadge, {
    color: colorMap(status.toLowerCase()),
    text: text || capitalize(status)
  }), label && /*#__PURE__*/_react.default.createElement(TypeDiv, null, label));
}
StatusItem.displayName = 'ItemsTable.Row.Status';