/// <reference types="react" />
import { ActionMenuActionType } from '../actionMenu';
interface ItemProps {
    flex?: number;
}
export interface AvatarItemProps extends ItemProps {
    icon: React.ReactNode;
    name?: React.ReactNode;
    label?: React.ReactNode;
}
export interface StatusItemProps extends ItemProps {
    status: 'stateless' | 'error' | 'warning' | 'done' | 'good';
    text?: React.ReactNode;
    label?: React.ReactNode;
}
export interface TextItemProps extends ItemProps {
    text?: React.ReactNode;
    subText?: React.ReactNode;
}
export interface ComponentItemProps extends ItemProps {
    children?: React.ReactNode;
}
export interface ButtonsItemProps extends ItemProps {
    buttons: ActionMenuActionType[][];
}
export declare type Type = (AvatarItemProps | StatusItemProps | TextItemProps | ButtonsItemProps | ComponentItemProps)[];
export interface ItemsTableProps {
    children: React.ReactNode;
}
export {};
