"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageLayout = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _style = require("../../../style");
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8;
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var Header = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    grid-area: header;\n"])));
Header.displayName = 'PageLayout.Header';
var Content = _styledComponents.default.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n    grid-area: content;\n    max-width: 100%;\n"])));
Content.displayName = 'PageLayout.Content';
var Pane = _styledComponents.default.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n    grid-area: pane;\n    min-width: var(--local-pan-width);\n    width: var(--local-pan-width);\n    max-width: var(--local-pan-width);\n\n    margin-left: var(--local-pan-margin-left);\n    margin-right: var(--local-pan-margin-right);\n\n    @media (max-width: 767px) {\n        max-width: 100%;\n        width: 100%;\n        min-width: 100%;\n\n        margin-left: 0px;\n        margin-right: 0px;\n    }\n"])));
Pane.displayName = 'PageLayout.Pane';
var Footer = _styledComponents.default.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n    grid-area: footer;\n"])));
Footer.displayName = 'PageLayout.Footer';
var PageLayoutOuter = _styledComponents.default.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n    width: 100%;\n    background-color: ", ";\n    margin-top: ", ";\n    margin-bottom: ", ";\n    display: flex;\n    justify-content: center;\n    padding: ", ";\n    min-height: ", ";\n"])), function (props) {
  return props.backgroundColor;
}, function (props) {
  return props.marginTop;
}, function (props) {
  return props.marginBottom;
}, function (props) {
  return props.padding;
}, function (props) {
  return props.minHeight;
});
var PageLayoutInner = _styledComponents.default.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n    display: grid;\n    width: 100%;\n    max-width: ", ";\n    row-gap: ", ";\n    justify-items: stretch;\n    margin: 0px ", ";\n    grid-template-rows: 0px;\n\n    --local-pan-width: ", ";\n    --local-pan-margin-left: ", ";\n    --local-pan-margin-right: ", ";\n\n    ", "\n\n    @media ( max-width: 767px ) {\n        grid-template-areas:\n            'header'\n            'content'\n            'pane'\n            'footer';\n        grid-template-columns: 1fr;\n        margin: 0px 8px;\n    }\n"])), function (props) {
  return props.width;
}, function (props) {
  return props.gap;
}, function (props) {
  return props.gutter;
}, function (props) {
  return props.panWidth;
}, function (props) {
  return props.panPosition === 'start' ? '0px' : props.gap;
}, function (props) {
  return props.panPosition === 'end' ? '0px' : props.gap;
}, function (props) {
  return props.panPosition === 'start' ? (0, _styledComponents.css)(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n                  grid-template:\n                      'header header'\n                      'pane content'\n                      'footer footer';\n                  grid-template-columns: fit-content(300px) auto;\n              "]))) : (0, _styledComponents.css)(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n                  grid-template:\n                      'header header'\n                      'content pane'\n                      'footer footer';\n                  grid-template-columns: auto fit-content(300px);\n              "])));
});
function PageLayoutRoot(_ref) {
  var _ref$width = _ref.width,
    width = _ref$width === void 0 ? _style.cv.pageWidth : _ref$width,
    _ref$gap = _ref.gap,
    gap = _ref$gap === void 0 ? '8px' : _ref$gap,
    _ref$gutter = _ref.gutter,
    gutter = _ref$gutter === void 0 ? '24px' : _ref$gutter,
    _ref$panPosition = _ref.panPosition,
    panPosition = _ref$panPosition === void 0 ? 'end' : _ref$panPosition,
    _ref$backgroundColor = _ref.backgroundColor,
    backgroundColor = _ref$backgroundColor === void 0 ? _style.cv.bg_page2 : _ref$backgroundColor,
    children = _ref.children,
    _ref$marginTop = _ref.marginTop,
    marginTop = _ref$marginTop === void 0 ? '0px' : _ref$marginTop,
    _ref$marginBottom = _ref.marginBottom,
    marginBottom = _ref$marginBottom === void 0 ? '32px' : _ref$marginBottom,
    _ref$panWidth = _ref.panWidth,
    panWidth = _ref$panWidth === void 0 ? '300px' : _ref$panWidth,
    _ref$padding = _ref.padding,
    padding = _ref$padding === void 0 ? '0px' : _ref$padding,
    _ref$minHeight = _ref.minHeight,
    minHeight = _ref$minHeight === void 0 ? 'unset' : _ref$minHeight;
  return /*#__PURE__*/_react.default.createElement(PageLayoutOuter, {
    minHeight: minHeight,
    marginTop: marginTop,
    marginBottom: marginBottom,
    backgroundColor: backgroundColor,
    padding: padding
  }, /*#__PURE__*/_react.default.createElement(PageLayoutInner, {
    width: width,
    gap: gap,
    panPosition: panPosition,
    gutter: gutter,
    panWidth: panWidth
  }, children));
}
PageLayoutRoot.displayName = 'PageLayout';

/**
 * 일반적인 페이지 레이아웃을 위한 컴포넌트입니다.
 */
var PageLayout = Object.assign(PageLayoutRoot, {
  Header: Header,
  Content: Content,
  Pane: Pane,
  Footer: Footer
});
exports.PageLayout = PageLayout;