"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithoutPan = exports.WithoutHeaderAndFooter = exports.Solo = exports.Primary = exports.LeftPane = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _ = require("../..");
var _templateObject;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
var _default = {
  title: 'Opize Component/Layout/PageLayout',
  component: _.PageLayout,
  subcomponents: {
    'PageLayout.Header': _.PageLayout.Header,
    'PageLayout.Content': _.PageLayout.Content,
    'PageLayout.Pane': _.PageLayout.Pane,
    'PageLayout.Footer': _.PageLayout.Footer
  },
  argTypes: {
    gap: {
      control: {
        type: 'text'
      }
    },
    gutter: {
      control: {
        type: 'text'
      }
    },
    width: {
      control: {
        type: 'text'
      }
    },
    panPosition: {
      control: {
        type: 'select'
      },
      options: ['start', 'end']
    },
    panWidth: {
      control: {
        type: 'text'
      }
    },
    backgroundColor: {
      control: {
        type: 'color'
      }
    },
    padding: {
      control: {
        type: 'text'
      }
    }
  }
};
exports.default = _default;
var Blank = _styledComponents.default.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    background-color: #363636;\n    width: 100%;\n    color: #ffffff;\n    height: ", "px;\n    display: flex;\n    align-items: center;\n    justify-content: center;\n"])), function (props) {
  return props.height;
});
var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_.PageLayout, args, /*#__PURE__*/_react.default.createElement(_.PageLayout.Header, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 100
  }, "PageLayout.Header")), /*#__PURE__*/_react.default.createElement(_.PageLayout.Content, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 500
  }, "PageLayout.Content")), /*#__PURE__*/_react.default.createElement(_.PageLayout.Pane, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 500
  }, "PageLayout.Pane")), /*#__PURE__*/_react.default.createElement(_.PageLayout.Footer, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 100
  }, "PageLayout.Footer")));
};
var Primary = Template.bind({});
exports.Primary = Primary;
Primary.args = {
  gap: '8px',
  gutter: '24px',
  panPosition: 'end',
  panWidth: '300px',
  width: '1200px'
};
var SoloTemplate = function SoloTemplate(args) {
  return /*#__PURE__*/_react.default.createElement(_.PageLayout, args, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 500
  }, "PageLayout"));
};
var Solo = SoloTemplate.bind({});
exports.Solo = Solo;
Solo.args = {};
var LeftPane = Template.bind({});
exports.LeftPane = LeftPane;
LeftPane.args = {
  panPosition: 'start'
};
var WithoutHeaderAndFooterTemplate = function WithoutHeaderAndFooterTemplate(args) {
  return /*#__PURE__*/_react.default.createElement(_.PageLayout, args, /*#__PURE__*/_react.default.createElement(_.PageLayout.Content, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 500
  }, "PageLayout.Content")), /*#__PURE__*/_react.default.createElement(_.PageLayout.Pane, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 500
  }, "PageLayout.Pane")));
};
var WithoutHeaderAndFooter = WithoutHeaderAndFooterTemplate.bind({});
exports.WithoutHeaderAndFooter = WithoutHeaderAndFooter;
WithoutHeaderAndFooter.args = {};
var WithoutPanTemplate = function WithoutPanTemplate(args) {
  return /*#__PURE__*/_react.default.createElement(_.PageLayout, args, /*#__PURE__*/_react.default.createElement(_.PageLayout.Header, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 100
  }, "PageLayout.Header")), /*#__PURE__*/_react.default.createElement(_.PageLayout.Content, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 500
  }, "PageLayout.Content")), /*#__PURE__*/_react.default.createElement(_.PageLayout.Footer, null, /*#__PURE__*/_react.default.createElement(Blank, {
    height: 100
  }, "PageLayout.Footer")));
};
var WithoutPan = WithoutPanTemplate.bind({});
exports.WithoutPan = WithoutPan;
WithoutPan.args = {};