import React from 'react';
import { PolymorphicComponentProps } from '../../utils/type/polymorphicComponent';
declare type _LinkProps = {
    /**
     * 내용 옆에 링크 아이콘 표시 여부입니다.
     */
    showIcon?: boolean;
    children: React.ReactNode;
    color?: string;
    /**
     * 링크 Hover시 underline 표시 여부입니다.
     */
    showUnderline?: boolean;
    /**
     * 클릭했을 때 이동할 링크입니다. href 대신 사용할 수 있습니다.
     */
    to?: string;
};
export declare type LinkProps<T extends React.ElementType = 'a'> = PolymorphicComponentProps<T, _LinkProps>;
declare type LinkComponent = <C extends React.ElementType = 'a'>(props: LinkProps<C>) => React.ReactElement | null;
/**
 * Link를 표시할 때 사용합니다. OpizeWrapper의 initLink가 없다면 <a> 태그로 작동합니다.
 */
export declare const Link: LinkComponent;
export declare const A: LinkComponent;
export {};
