import React from 'react';
export interface TabNavProps {
    /**
     * context를 사용하여 위치 정보를 저장할 지 여부입니다. 화면 당 한 컴포넌트만 사용할 수 있습니다.
     */
    hasContext?: boolean;
    /**
     * 현재 선택된 메뉴의 아이디입니다.
     */
    selected: string;
    /**
     * TabNav의 메뉴입니다.
     */
    menu: {
        [id: string]: {
            text: React.ReactNode;
            onClick: () => void;
        };
    };
}
/**
 * 탭 이동을 위한 네비게이션 바입니다.
 */
export declare function TabNav({ selected, menu, hasContext }: TabNavProps): JSX.Element;
