import React from 'react';
declare type ColorTheme = 'light' | 'dark' | 'system';
declare type NowColorTheme = 'light' | 'dark';
export interface ColorThemeContextProps {
    /**
     * 유저가 선택한 색상 테마입니다.
     */
    colorTheme: ColorTheme;
    /**
     * 실제 화면에 표시되는 색상 테마 입니다.
     */
    nowColorTheme: NowColorTheme;
    setColorTheme: (theme: ColorTheme) => void;
}
export declare const ColorThemeContext: React.Context<ColorThemeContextProps>;
declare function ColorThemeProvider({ children }: {
    children: React.ReactNode;
}): JSX.Element;
export default ColorThemeProvider;
