"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cssPalette = exports.builtCssVariable = void 0;
var cssVariable = {
  vh: '1vh',
  fontFamily: "\"Inter\", 'Noto Sans KR', -apple-system,BlinkMacSystemFont,\"Segoe UI\",\"Roboto\",\"Oxygen\",\"Ubuntu\",\"Cantarell\",\"Fira Sans\",\"Droid Sans\",\"Helvetica Neue\",sans-serif",
  fontFamilyMonospace: "Consolas, 'Courier New', Courier, monospaceFont family fontFamilyMonospace",
  fontWeightRegular: 400,
  fontWeightSemiBold: 600,
  fontSizeNormal: 'var(--fontSize400)',
  fontSize200: '10px',
  fontSize300: '12px',
  fontSize400: '14px',
  fontSize500: '16px',
  fontSize600: '20px',
  lineHeightNormal: 'var(--lineHeight400)',
  lineHeight200: '16px',
  lineHeight300: '20px',
  lineHeight400: '24px',
  pageWidth: '1200px'
};
var buildCssVariable = function buildCssVariable(variables) {
  var keys = Object.keys(variables);
  return keys.reduce(function (acc, key) {
    return acc.concat("--".concat(key.replace(/_/g, '-'), ": ").concat(variables[key], ";"), '\n');
  }, '');
};
var builtCssVariable = buildCssVariable(cssVariable);
exports.builtCssVariable = builtCssVariable;
var cssVar = function cssVar(name) {
  return "var(--".concat(name.replace(/_/g, '-'), ")");
};
var variableKeys = Object.keys(cssVariable);
var cssPalette = variableKeys.reduce(function (acc, current) {
  acc[current] = cssVar(current);
  return acc;
}, {});
exports.cssPalette = cssPalette;